--
-- $Id$
--
-- Verwijderen werkplekken op dislocaties (= onder district 'NietZichtbaarFE' met key=21).
DEFINE thisfile = 'DENB#37106.SQL'
DEFINE dbuser   = '^DENB'
DEFINE custid   = 'DENB'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- DENB#37160: Verwijderen werkplekken op dislocaties (= onder district 'NietZichtbaarFE' met key=21).
DELETE FROM prs_perslidwerkplek pw
      WHERE EXISTS
               (SELECT 1
                  FROM prs_werkplek wp,
                       alg_ruimte r,
                       alg_verdieping v,
                       alg_gebouw g,
                       alg_locatie l
                 WHERE     pw.prs_werkplek_key = wp.prs_werkplek_key
                       AND wp.prs_alg_ruimte_key = r.alg_ruimte_key
                       AND r.alg_verdieping_key = v.alg_verdieping_key
                       AND v.alg_gebouw_key = g.alg_gebouw_key
                       AND g.alg_locatie_key = l.alg_locatie_key
                       AND l.alg_district_key = 21);

COMMIT;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$'); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
